# __gnu_cxx::hash_map< _Key, _Tp, _HashFcn, _EqualKey, _Alloc > Class Template Reference
[STL extensions from SGI]

List of all members.

## Detailed Description

### template<class _Key, class _Tp, class _HashFcn, class _EqualKey, class _Alloc>
class __gnu_cxx::hash_map< _Key, _Tp, _HashFcn, _EqualKey, _Alloc >

This is an SGI extension.

Todo:
  Doc me! See docs/doxygen/TODO and http://gcc.gnu.org/ml/libstdc++/2002-02/msg00003.html for more.

Definition at line 93 of file hash_map.

The documentation for this class was generated from the following file:

- hash_map